#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: utility-ht
version: 0.0.10
id: utility-ht-0.0.10-a454d158b39a7858f6db2511ff9e870b
key: utili_CCj4HhuhOaJ467D9JmEqct
license: BSD3
maintainer: Henning Thielemann <haskell@henning-thielemann.de>
synopsis: Various small helper functions for Lists, Maybes, Tuples, Functions
description:
    Various small helper functions for Lists, Maybes, Tuples, Functions.
    Some of these functions are improved implementations of standard functions.
    They have the same name as their standard counterparts.
    Others are equivalent to functions from the @base@ package,
    but if you import them from this utility package
    then you can write code that runs on older GHC versions
    or other compilers like Hugs and JHC.
    .
    All modules are plain Haskell 98.
    The package depends exclusively on the @base@ package
    and only that portions of @base@ that are simple to port.
    Thus you do not risk a dependency avalanche by importing it.
    However, further splitting the base package might invalidate this statement.
    .
    Alternative packages: @Useful@, @MissingH@
category: Data, List
author: Henning Thielemann <haskell@henning-thielemann.de>
exposed: True
exposed-modules:
    Data.Bool.HT Data.Eq.HT Data.Function.HT Data.Ix.Enum Data.List.HT
    Data.List.Key Data.List.Match Data.Maybe.HT Data.Monoid.HT
    Data.Ord.HT Data.Record.HT Data.String.HT Data.Tuple.HT
    Control.Monad.HT Control.Functor.HT Data.Strictness.HT Text.Read.HT
    Text.Show.HT
hidden-modules: Data.Bool.HT.Private Data.List.HT.Private
                Data.List.Key.Private Data.List.Match.Private
                Data.Function.HT.Private Data.Record.HT.Private
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/utility-ht-0.0.10
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/utility-ht-0.0.10
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/utility-ht-0.0.10
hs-libraries: HSutility-ht-0.0.10-CCj4HhuhOaJ467D9JmEqct
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/utility-ht-0.0.10/html/utility-ht.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/utility-ht-0.0.10/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
